/*
 *  SerialUSB.h
 *  SerialUSB
 *
 *  Created by Tom Saxton on 4/18/07.
 *  Copyright 2007 Idle Loop Software Design, LLC. All rights reserved.
 *
 *  Permission granted for anyone to adapt or use this code without restriction,
 *  however no guarantee or warranty of any sort offered. Use at your own risk.
 *
 */

// if the specified object, or any of its kIOServicePlane parent objects, is a USB device,
// return YES and fill in the Vendor and Product ID values,
// otherwise return NO
Boolean FIsUSBDevice(io_object_t objSerial, SInt32 *pidVendor, SInt32 *pidProduct);

// IOKit Helper Functions
io_object_t IOObjectGetParent(io_object_t obj);
Boolean FGetIOObjectPropertySz(io_object_t obj, CFStringRef strrefProperty, char psz[], int cb);
Boolean FGetIOObjectPropertySInt32(io_object_t obj, CFStringRef strrefProperty, SInt32 *pnum);
